
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
        <!-- Search for small screen-->
        <div class="container">
          <div class="row">
            <div class="col s12 m6 l6">
              <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des documents traite</span></h5>
            </div>
            <div class="col s12 m6 l6 right-align-md">
              <ol class="breadcrumbs mb-0">
                <li class="breadcrumb-item"><a [routerLink]="['/Dashborddocument']">Acceuil</a>
                </li>
                <li class="breadcrumb-item">Gestion des documents
                </li>
                <li class="breadcrumb-item active">Liste des documents traite
                </li>
              </ol>
            </div>
          </div>
        </div>
      </div>
     
          <div class="section section-data-tables">
  
  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
        <h4 class="card-title"></h4>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>Nom fichier</th>
                  <th>scanné lé</th>
                  <th>Type</th>
                 
                  <th>Client</th>
                  
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let f of files;index as i" >
                  <td><a target="_blank" href="assets/app-assets/uploads/{{f.image}}">{{f.image}}</a></td>
                  <td>{{f.date}}</td>
                  <td>{{f.type}}</td>
                 
                  <ng-container *ngFor="let c of clients">

                    <td  *ngIf="f.ClientId  === c.id">{{c.nom}}</td>
                    </ng-container>               
                  <td> 
                    <a class="dropdown-trigger" href="#" [attr.data-target]="'dropdown'+i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                      <li><a  class="modal-trigger" [attr.data-target]="'modal'+i" > Modifier</a></li>
                    <li><a  class="modal-trigger" (click)="delete(f.id)" > Supprime</a></li>

                    </ul>
                    </td>
                    <div id="modal{{i}}" class="modal modal-fixed-footer" style="width: 50%; height: 70%;">
                      <form  #for="ngForm" (ngSubmit)="update(for.value)">
                        <div class="modal-content">
                          <h4>documents Traite</h4>
                          <br>
                      
                       
                          <input    type="hidden" name="id" [ngModel]="f.id" #id="ngModel" required>
                  
                            <div class="input-field col s6">
                              <input  id="name2" class="validate" type="text" name="nom" [(ngModel)]="f.nom" #nom="ngModel" required>
                              <label for="name2" class="active">Nom fichier*</label>
                            </div>
                            <div class="input-field col s6">
                              <input  id="name3" class="validate" type="date" name="date" [(ngModel)]="f.date" #date="ngModel" required>
                              <label for="name2">sacnné lé*</label>
                            </div>
                            <div class="input-field col s6">
                              <input  id="name3" class="validate" type="text" name="type" [(ngModel)]="f.type" #type="ngModel"  required>
                              <label for="name2" class="active">Type*</label>
                            </div>
                            <div class="input-field col s6">
                              <label for="name2" class="active">Client*</label>

                              <select  searchable='Liste de Voiture' id="xxxx" name="client" [(ngModel)]="f.ClientId" #client="ngModel"     required >
                  
                                <option *ngFor="let c of clients" [value]="c.id">
                                  {{c.nom}} {{c.prenom}} || {{c.cin}}
                                 </option>
                              </select>
                             
                            </div>
                          
                           
                           
                           </div>
                        
                        <div class="modal-footer">
                           <button   type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
                        </div>
                      </form>
                    </div>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
  </div>
  
  
  